<?php
// required headers
header("Access-Control-Allow-Origin: *");
header("Content-Type: application/json; charset=UTF-8");
header("Access-Control-Allow-Methods: POST");
header("Access-Control-Max-Age: 3600");
header("Access-Control-Allow-Headers: Content-Type, Access-Control-Allow-Headers, Authorization, X-Requested-With");

include_once '../config/database.php';
include_once '../objects/note.php';

$database = new Database();
$db = $database->getConnection();
 
$note = new Note($db);
$data = json_decode(file_get_contents("php://input"));

$note->city = $data->city;
$note->date = $data->df;

$stmt = $note->getAllRows();
$num = $stmt->rowCount();

$arr=array();
$arr["records"]=array();
if($num>0){
    while ($row = $stmt->fetch(PDO::FETCH_ASSOC)){
        extract($row);
        $detail = array(
			"id" => $id,
			"note" => $note,
        );
        array_push($arr["records"], $detail);
    }
}
echo json_encode($arr);
?>